Submit Jam Content
Submits content to a jam. The content must have been uploaded by the submitter, and both the content upload and jam submission must be made within the jam's designated times.
Authorization
authCookie Auth Token via Cookie
In: cookie
Path Parameters
Must be a valid jam ID.
Request Body
application/json
Response Body
application/json
application/json
application/json
curl -X POST "https://api.vrchat.cloud/api/1/jams/jam_0b7e3f6d-4647-4648-b2a1-1431e76906d9/submissions" \ -H "Content-Type: application/json" \ -d '{ "contentId": "avtr_c38a1615-5bf5-42b4-84eb-a8b6c37cbd11", "description": "My awesomely unique avatar for the jam!" }'{
"contentId": "string",
"created_at": "2019-08-24T14:15:22Z",
"description": "string",
"id": "jsub_f01f44fa-89fa-443c-ab4c-7fed9245970f",
"jamId": "jam_0b7e3f6d-4647-4648-b2a1-1431e76906d9",
"ratingScore": 0,
"submitterId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469"
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}{
"error": {
"message": "404 id must be an ID˸ 'invalid_id_here'",
"status_code": 404
}
}Show jams list GET
Lists World Jams or Avatar Jams, both currently running and ones that have ended. `isActive` is used to select only active or already ended jams. `type` is used to select only world or avatar jams, and can only take `world` or `avatar`. ``
Accept Friend Request PUT
Accept a friend request by notification `frq_` ID. Friend requests can be found using the NotificationsAPI `getNotifications` by filtering of type `friendRequest`.